diff options
author | Natanael Copa <ncopa@alpinelinux.org> | 2010-07-20 11:32:52 +0000 |
---|---|---|
committer | Natanael Copa <ncopa@alpinelinux.org> | 2010-07-20 11:32:52 +0000 |
commit | 3e5cd775fd9992cfbf092582361d4f2ebec1e3b4 (patch) | |
tree | fefa77420247c6d63f3f7784f7aa982564797865 /main/abuild | |
parent | 1f6b993622fe0be9a91f249b218819a8faa74a9e (diff) | |
download | aports-3e5cd775fd9992cfbf092582361d4f2ebec1e3b4.tar.bz2 aports-3e5cd775fd9992cfbf092582361d4f2ebec1e3b4.tar.xz |
main/abuild: remove unused mkalpine
Diffstat (limited to 'main/abuild')
-rw-r--r-- | main/abuild/APKBUILD | 6 | ||||
-rw-r--r-- | main/abuild/remove-mkalpine.patch | 65 |
2 files changed, 69 insertions, 2 deletions
diff --git a/main/abuild/APKBUILD b/main/abuild/APKBUILD index 2ffd75e9f..d123e7754 100644 --- a/main/abuild/APKBUILD +++ b/main/abuild/APKBUILD @@ -2,9 +2,10 @@ pkgdesc="Script to build Alpine Packages" pkgname=abuild pkgver=2.4 -pkgrel=0 +pkgrel=1 url=http://git.alpinelinux.org/cgit/abuild/ source="http://git.alpinelinux.org/cgit/abuild/snapshot/abuild-$pkgver.tar.bz2 + remove-mkalpine.patch " depends="fakeroot file sudo pax-utils openssl apk-tools" makedepends="openssl-dev pkgconfig" @@ -33,4 +34,5 @@ package() { install -m 644 abuild.conf "$pkgdir"/etc/abuild.conf } -md5sums="84cde3b9c263b91b2381591a6342aaa6 abuild-2.4.tar.bz2" +md5sums="84cde3b9c263b91b2381591a6342aaa6 abuild-2.4.tar.bz2 +feea2c852e422e910613c5528b40c5d5 remove-mkalpine.patch" diff --git a/main/abuild/remove-mkalpine.patch b/main/abuild/remove-mkalpine.patch new file mode 100644 index 000000000..867b0033b --- /dev/null +++ b/main/abuild/remove-mkalpine.patch @@ -0,0 +1,65 @@ +commit af22a92fa6f4e787ac6c4a22bedb65b66786427a +Author: Natanael Copa <ncopa@alpinelinux.org> +Date: Tue Jul 20 11:31:43 2010 +0000 + + mkalpine: removed + +diff --git a/Makefile b/Makefile +index 7f20208..da99953 100644 +--- a/Makefile ++++ b/Makefile +@@ -7,7 +7,7 @@ sysconfdir ?= /etc + datadir ?= $(prefix)/share/$(PACKAGE) + abuildrepo ?= ~/.cache/apks + +-SCRIPTS := abuild devbuild mkalpine buildrepo abuild-keygen \ ++SCRIPTS := abuild devbuild buildrepo abuild-keygen \ + abuild-sign newapkbuild + USR_BIN_FILES := $(SCRIPTS) abuild-tar + SAMPLES := sample.APKBUILD sample.initd sample.confd \ +diff --git a/mkalpine.in b/mkalpine.in +deleted file mode 100755 +index e31980a..0000000 +--- a/mkalpine.in ++++ /dev/null +@@ -1,40 +0,0 @@ +-#!/bin/sh +- +-# check if what we need is here +-needed="cramfs syslinux cdrkit" +-for i in $needed; do +- if ! apk info -e $i; then +- missing="$missing $i" +- fi +-done +- +-# try install the missing parts +-if [ -n "$missing" ]; then +- if ! sudo apk add $missing; then +- echo "Need $missing to build alpine" >&2 +- exit 1 +- fi +-fi +- +-# first look for alpine.mk in current dir. Fallback to /usr/share/abuild +-mk=./alpine.mk +-if ! [ -f $mk ]; then +- mk=/usr/share/abuild/alpine.mk +-fi +- +-make -f "$mk" APK_BIN= $@ +-rc=$? +- +-# beep when done +-if [ $rc -eq 0 ]; then +- for i in $(seq 0 3); do +- echo -n -e "\007" +- sleep 0.2 +- done +-fi +- +-# uninstall the stuff we installed +-[ -n "$missing" ] && sudo apk del $missing +- +- +-exit $? |